      subroutine DIVDIF(DC,DY,NP,DVD)
      integer J,N,NP,KP,KYCL
      double precision DC(NP), DY(NP), DVD(20), DIVS
      include 'UNITS.INC'
      if (NP.lt.2 .or. NP.gt.60) go to 130
      do 100 J = 1, NP
         DVD(J) = DY(J)
100   continue
      N = NP-1
      do 120 KYCL = 1, N
         KP = KYCL+1
         do 110 J = KP, NP
            DIVS = DC(J)-DC(KYCL)
            if (dabs(DIVS).lt.1.0D-14) go to 140
            DVD(J) = (DVD(J)-DVD(KYCL))/DIVS
110      continue
120   continue
      go to 150
130   continue
      write (TTYOUT(MACHNO),5000) NP
      go to 150
140   continue
      write (TTYOUT(MACHNO),5010)
5000  format (1X,I4,' POINTS INV IN DIVDIF')
5010  format (1X,'TWO ARGS EQUAL')
150   continue
      return
      end
